﻿using System.Linq;
using Buddy.Swtor;

namespace WingIt.Routines
{
    //This is for every class
    class Global
    {
        public static bool IsInCover { get { return (BuddyTor.Me.HasBuff("Crouch") || BuddyTor.Me.HasBuff("Cover")); } }
        public static bool IsInGroup { get { return Helpers.Group.Count() > 2; } }
        public static bool IsElite { get { return BuddyTor.Me.CurrentTarget != null && BuddyTor.Me.CurrentTarget.Toughness >= CombatToughness.Strong; } }
        public static bool RequiresCrowdControl { get { return BuddyTor.Me.CurrentTarget != null && (BuddyTor.Me.CurrentTarget.IsCasting || !(BuddyTor.Me.CurrentTarget.Toughness == CombatToughness.Standard || BuddyTor.Me.CurrentTarget.Toughness == CombatToughness.Weak)); } }

        public const float MeleeDistance = 0.35f;
        public const float RangeDistance = 2.8f;

        public const int EnergyMinimum = 65;
        public const int CellMinimum = 8;
        
        public const int FullHealth = 100;
        public const int HighHealth = 80;
        public const int MidHealth = 50;
        public const int LowHealth = 30;
        public const int OhShit = 15;
        public const int HealthShield = 90;
        public const int HealthCritical = 40;
        public const int CompHealing = 90;
    }
}
